Home » Zabbix » Обновление Zabbix 3.4 до 4.0

Обновление Zabbix 3.4 до 4.0

1-го октября как-то буднично и без отдельной рассылки вышла новая версия сервера мониторинга Zabbix 4.0. Сегодня я расскажу, как выполнить обновление zabbix с версии 3.4 до последней версии 4.0. Я уже давно использовал альфа версии, потом rc, так что уже неплохо знаком с новой версией, и она мне очень понравилась.

Если у вас есть желание научиться строить и поддерживать высокодоступные и надежные сети, рекомендую познакомиться с онлайн-курсом «Сетевой инженер » в OTUS. Курс не для новичков, для поступления нужно пройти вступительный тест.

Заказать настройку Zabbix от 500 р.

Что нового в версии zabbix 4.0

Я просмотрел весь сайт, но так и не увидел отдельной новости или объявления о выходе новой версии 4.0. На самом сайте уже все обновлено, как будто 4.0 вышла уже давно. Я подписан на рассылку zabbix, но последнее сообщение было 19 сентября о выходе Zabbix 4.0.0rc1. В общем, я ничего не знал про релиз 4.0, пока мне тут в комментариях в одной статье не спросили, когда будет статья про 4.0. Начну ее писать сразу же после этой. У меня накопилось много новой и полезной информации для статьи по установке и настройке zabbix.

Для начала краткий обзор основных нововведений:

  1. Изменилась визуализация данных. В виджетах на дашборде можно строить графики, которые раньше были недоступны. Изменения графиков — это то, что больше всего просили пользователи у разработчиков. На фоне Grafana, Kibana и т.д. графики zabbix выглядят жуткой архаикой. Их даже как-то неловко показывать тем, кто не знаком с заббиксом совсем, но видел другие системы визуализации информации.
  2. Удобный выбор периодов для отображения информации. Это первое, что я заметил и оценил, когда поставил первую версию zabbix 4.0. Это действительно удобно и экономит время.
  3. Оптимизирован режим Kiosk для вывода информации в полноэкранном режиме на отдельные дисплеи или видеостены. Можно убрать все лишние элементы интерфейса, не относящиеся непосредственно к графикам и данным.
  4. Появился новый компактный режим просмотра проблем. В нем на экран помещается больше полезной информации.
  5. Появилась поддержка компрессии при передачи информации от zabbix proxy. В версии 4.0 она включена по-умолчанию. Это позволит снизить нагрузку на сеть в больших распределенных системах.
  6. Появилось больше настроек в разделе реакции на проблему. Можно закрыть проблему или изменить важность без подтверждения и отправки оповещения. На все это выдаются соответствующие права.
  7. Появились новые права доступа, основанные на тэгах.
  8. Появился новый http агент для сбора данных! Вот это любопытная штука, надо будет попробовать.
  9. Появились дополнительные настройки для HTTP аутентификации.
  10. Добавлены две новые высококонтрастные темы для интерфейса. Мне вообще не понравились, не оценил.

И многое другое. Подробное описание с картинками вы можете посмотреть на отдельной странице What’s New in Zabbix 4.0 LTS на сайте. Для полноты картины ссылка на Release Notes for Zabbix 4.0.0.

Нововведения Zabbix 4.0 разобрали. Приступим к обновлению прошлой версии 3.4 до 4.0.

Подготовка к обновлению

Если у вас версия Zabbix ниже 3.4, то предварительно обновите ее до указанной. У меня есть цикл статей на эту тему:

Если вы используете zabbix proxy, то схема обновления должна быть следующая: останавливаете и обновляете сервер, обновляете и запускаете по очереди все прокси. После этого запускаете основной сервер.

Перед обновлением, сделаем на всякий случай бэкап базы данных. Для этого предварительно остановим сервер.

# systemctl stop zabbix-server
# /usr/bin/mysqldump --opt -v --databases zabbix -uzabbix -p'password' | /usr/bin/gzip -c > /root/zabbix.sql.gz
zabbixназвание базы данных заббикса
-uzabbixключ -u и дальше имя пользователя базы данных
-p’password’ключ -p и дальше пароль пользователя бд, если в пароле есть спецсимволы, экранируйте их одиночными кавычками

На всякий случай сохраним php скрипты админки, чтобы можно было оперативно запустить старую версию в случае нештатной ситуации:

# cp -R /usr/share/zabbix /root

Centos 7

Подключаем репозиторий версии zabbix 4.0:

# rpm -Uvh https://repo.zabbix.com/zabbix/4.0/rhel/7/x86_64/zabbix-release-4.0-1.el7.noarch.rpm

Подключение репозитория zabbix 4.0

Старый репозиторий от версии 3.4 будет автоматически удален.

Очищаем и пересоздаем кэш yum:

# yum clean all
# yum makecache

Debian 9

Удаляем пакет текущего репозитория:

# rm -Rf /etc/apt/sources.list.d/zabbix.list

Подключаем новый:

# wget https://repo.zabbix.com/zabbix/4.0/debian/pool/main/z/zabbix-release/zabbix-release_4.0-2+stretch_all.deb
# dpkg -i zabbix-release_4.0-2+stretch_all.deb

Обновляем информацию о репозиториях:

# apt update

Ubuntu 18

Удаляем пакет текущего репозитория:

rm -Rf /etc/apt/sources.list.d/zabbix.list

Подключаем новый:

# wget https://repo.zabbix.com/zabbix/4.0/ubuntu/pool/main/z/zabbix-release/zabbix-release_4.0-2+bionic_all.deb
# dpkg -i zabbix-release_4.0-2+bionic_all.deb

Обновляем информацию о репозиториях:

# apt update

Если у вас другие версии систем, то простой найдите ссылки пакетов под свою версию в официальном репозитории — https://repo.zabbix.com/zabbix/4.0/ Дальнейшее обновление не будет отличаться от текущего.

К обновлению подготовились, можно приступать.

Установка обновления zabbix 3.4 до 4.0

Centos 7

Устанавливаем само обновление zabbix на сервер Centos 7 следующей командой:

# yum upgrade zabbix-server-mysql zabbix-web-mysql zabbix-agent

Это список программ заббикса для общего случая. Если у вас установлено что-то еще, лучше обновить все сразу. Посмотреть список установленных пакетов zabbix можно командой:

# rpm -qa | grep zabbix
zabbix-web-mysql-3.4.13-1.el7.noarch
zabbix-server-mysql-3.4.13-1.el7.x86_64
zabbix-release-3.4-2.el7.noarch
zabbix-agent-3.4.13-1.el7.x86_64
zabbix-web-3.4.13-1.el7.noarch
zabbix-get-3.4.12-1.el7.x86_64
zabbix-sender-3.4.12-1.el7.x86_64

В моем случае есть еще пакеты zabbix-get и zabbix-sender. Обновляем все сразу:

# yum upgrade zabbix-server-mysql zabbix-web-mysql zabbix-agent zabbix-get zabbix-sender

Debian 9/Ubuntu 18

Устанавливаем само обновление zabbix на сервер с Debian или Ubuntu следующей командой:

# apt-get install --only-upgrade zabbix-server-mysql zabbix-frontend-php zabbix-agent

Дальше инструкция общая для всех систем. После завершения обновления, запускаем сервер:

# systemctl start zabbix-server

В момент запуска произойдет обновление базы данных. Для маленькой базы (1-2 гб) это не займет много времени. Вы можете даже не заметить процесса. Если база больше, то надо подождать, пока не закончится обновление. Следить за ним можно с помощью просмотра лог файла zabbix сервера.

# tail -f /var/log/zabbix/zabbix_server.log

После завершения обновления базы, сервер запустится. После этого можно запустить и агент.

# systemctl start zabbix-agent

В логах агента и сервера можно посмотреть версию запущенных сервисов.

Starting Zabbix Agent [serveradmin.ru]. Zabbix 4.0.0 (revision 85308).
Starting Zabbix Server. Zabbix 4.0.0 (revision 85308).

Теперь можно идти в веб интерфейс и смотреть на обновленную версию zabbix server. Перед этим почистите кэш браузера и удалите куки от страницы заббикса. Если этого не сделать, то могут быть проблемы и ошибки, с чем я не раз сталкивался.

В веб интерфейса в самом низу будет показана текущая версия сервера:

Можете знакомиться с нововведениями и брать их на вооружение.

Заключение

Не понравилась статья и хочешь научить меня администрировать? Пожалуйста, я люблю учиться. Комментарии в твоем распоряжении. Расскажи, как сделать правильно!

Описанное обновление заббикса я выполнил по ходу написания статьи на одном из небольших рабочих серверов. Все прошло без проблем. Так что если у вас будут какие-то ошибки или проблемы, то это скорее всего ваши локальные. Если у вас web интерфейс работает на nginx, не забудьте изменить владельца директории /etc/zabbix/web на nginx. Я после обновления частенько забываю это сделать и вижу пустой белый экран, вместо окна авторизации.

В скором времени выйдет моя новая статья по установке zabbix 4.0, где я поделюсь своими советами и рекомендациями по настройке, которые я обычно делаю на новых серверах. Раньше я эту информацию не публиковал, ограничиваясь общими советами. Теперь решил поделиться именно своими наработками и опытом. Еще я там впервые не буду отключать SELinux, а то уже утомили претензии по этому поводу, как-будто это что-то, без чего заббикс сервер просто невозможен.

Онлайн курс "Сетевой инженер"

Если у вас есть желание научиться строить и поддерживать высокодоступные и надежные сети, научиться настраивать VPN с шифрованием, разбираться, находить и устранять проблемы в маршрутизации OSPF и BGP, фильтровать и балансировать маршруты, рекомендую познакомиться с онлайн-курсом «Сетевой инженер» в OTUS. Курс не для новичков, для поступления нужны базовые знания по сетям. Обучение длится 4 месяца, после чего успешные выпускники курса смогут пройти собеседования у партнеров. Проверьте себя на вступительном тесте и смотрите программу детальнее по ссылке.
Заказать настройку Zabbix от 500 р.

Помогла статья? Есть возможность отблагодарить автора

108 комментариев

  1. Не подскажите, после обновления Grafana нормально отображает графики с Zabbix?

  2. Наконец добавили кнопку для LLD — check now! УРА 😀
    Вы не заметили не каких багов? ps: после моего комента что ли узнали про выпуск 4?)

    • Zerox

      Ооооо, я этого не заметил. Это очень круто 🙂 Еще бы кнопку для обычного итема добавили, чтобы его проверить сразу. А то приходится сначала шаблон с минимальными интервалами делать, а после отладки менять их.

    • Zerox

      Проверил только что обычные элементы. После принудительной проверки через список элементов, в Последних данных нет информации об этой проверке. Похоже, не работает. Либо работает не так, как ожидается.

  3. Здравствуйте! Не подскажите, как сделать данное обновление на FreeBSD?

    • Zerox

      Даже не знаю. Давно с freebsd не работаю. На сайте заббикса пакетов под нее нет. Думаю, надо ждать, когда в портах появится, либо из исходников собирать самому. Я бы просто подождал.

  4. zabbix 3.4
    Столкнулся вот с этим:
    188459:20181003:132107.069 completed 42% of database upgrade
    188459:20181003:132107.178 [Z3005] query failed: [1048] Column ‘acknowledged’ cannot be null [update problem set acknowledged=(select acknowledged from events where events.eventid=problem.eventid)]
    188459:20181003:132107.179 database upgrade failed

  5. Нет, в базе не лазил, разве что это преднастроенная виртуалка с zabbix сайта.

  6. А будут ли толковые статьи по реальной настройке мониторинга различного оборудования? Все-таки процесс установки самого забикса достаточно тривиален…

    • На самом деле информация дается базовая (хорошо все описано), а дальше сами в зависимости от оборудования подбираем шаблоны и скрипты для мониторинга.
      Т.е. такого, что-бы написали что и как делать и всем подошло нет.

    • Zerox

      Понимание толковости у каждого свое. Если что, у меня целый раздел с описанием мониторинга различных сущностей https://serveradmin.ru/category/zabbix/
      А что писать про мониторинг оборудования? Берем шаблон и мониторим, благо у заббикса сейчас много готовых шаблонов.

  7. Уже на анекдот смахивает. Перед походом в гугль, загляни на serveradmin. Зерох на шаг впереди ).

  8. Привет, спасибо за статью!
    Было бы круто почитать еще про опыт обновления самой ОС с установленным Zabbix. Например, у меня стоит zabbix 3.0 и Ubuntu 14.04. Планирую обновляться до Zabbix 4.0, а потом либо обновлять ОС на этом же сервере, либо мигрировать zabbix на новый с подготовленной 18.04. И на эту тему как-то не так много инфы нашел в интернетах, а в официальных мануалах вообще пусто. Т.е. подводные камни не сильно описаны.
    Если есть такой опыт, с удовольствием почитал бы

    • Zerox

      А что тут писать? Разве все варианты опишешь. Я бы просто поставил свежую ubuntu 18, поставил такую же версию заббикс, как на старом сервере и перенес дамп базы. Это все, что надо для переноса.

  9. Тоже обновился, на нескольких серверах, изучаю что интересного появилось, в процессе обновления пришлось руками править /etc/apt/sources.list.d/zabbix.list — заменять 3.5 на 4.0 — иначе не обновлялось, делал все по инструкции на оф. сайте, после правки файла все обновляется в штатном режиме.
    Про обновление систем — пробовал на двух серверах обновить Ubuntu 16.04 до 18.04 — поломал PHP, починить не получилось, откатился назад, на новые сервера ставлю уже 18.04.

    • Zerox

      На официальном сайте в инструкциях по 4.0 неправильные ссылки на репозитории. Там почему-то казаны 3.5. Тоже с этим столкнулся, когда проверял. У себя поставил правильные ссылки.

      • Причем это не в первый раз, как-то такое уже было, причем еще и php-frontend скачивал и руками устанавливал, так красиво из командной строки парой команд не получается, подозреваю, что спешат и не особо отслеживают что и как выложено.

  10. Можно с 3.2 до 4.0 сразу обновиться?

    • Цитата из статьи:

      «Если у вас версия Zabbix ниже 3.4, то предварительно обновите ее до указанной. У меня есть цикл статей на эту тему:»
      и ссылки на инструкции…

      • Статью я читал, просто я не вижу проблем для сквозного обновления, может кто пробовал — вот и спросил.

        • Можно, я обновлял с 3.0 до 4.0, на debian 8 и postgresql.
          apt-get install —only-upgrade zabbix-server-pgsql zabbix-frontend-php
          Только бекап сначала сделайте, если соберетесь также обновлять.

  11. Владимир

    Добрый день!
    Делаю все по вашей статье, затык на моменте, когда база данных должна обновляться. Она у меня почти 58 Гб, я так понимаю процесс обновления очень и очень долгий должен быть? Никак нельзя ускорить?

    • Zerox

      Да, будет очень долгий. Хотя я не знаю, какое у вас железо. Понятие долгий относительно. Для больших баз я видел отзывы разработчиков, что они дают конкретные команды на обновление БД, чтобы можно было запускать руками и планировать обновление. Поищите, может найдете что-то подобное. Но там речь шла о сотнях гигабайт.

      Я бы на вашем месте просто сделал копию рабочего сервера и протестировал обновление. Без этого нельзя обновляться, если критичен простой. Только от агентов его как-то закройте, иначе он будет с проверками к агентам обращаться, наравне с основным сервером.

  12. Проблема при обновлении у тех кто использует SELinux.

    Possible issues with SELinux
    Socket-based inter-process communication has been added in Zabbix 3.4. On systems where SELinux is enabled it may be required to add SELinux rules to allow Zabbix create/use UNIX domain sockets in the SocketDir directory. Currently socket files are used by server (alerter, preprocessing, IPMI) and proxy (IPMI). Socket files are persistent, meaning are present while the process is running.

    • Zerox

      Вот решение:

      # yum install policycoreutils-python
      # cd ~
      # curl https://support.zabbix.com/secure/attachment/53320/zabbix_server_add.te > zabbix_server_add.te
      # checkmodule -M -m -o zabbix_server_add.mod zabbix_server_add.te
      # semodule_package -m zabbix_server_add.mod -o zabbix_server_add.pp
      # semodule -i zabbix_server_add.pp
  13. Рукожоп

    Рукожоп отписывается: на 9ом дебиане не завелась база((

  14. Алексей

    Некоторые пакеты невозможно установить. Возможно, вы просите невозможного,
    или же используете нестабильную версию дистрибутива, где запрошенные вами
    пакеты ещё не созданы или были удалены из Incoming.
    Следующая информация, возможно, поможет вам:

    Пакеты, имеющие неудовлетворённые зависимости:
    zabbix-agent : Зависит: libcurl4 (>= 7.16.2) но он не может быть установлен
    Зависит: libssl1.1 (>= 1.1.0) но он не может быть установлен
    zabbix-server-mysql : Зависит: libcurl4 (>= 7.28.0) но он не может быть установлен
    Зависит: libevent-2.1-6 (>= 2.1.8-stable) но он не может быть установлен
    Зависит: libsnmp30 (>= 5.7.3+dfsg-1.8ubuntu3~dfsg) но 5.7.3+dfsg-1ubuntu4.1 будет установлен
    Зависит: libssl1.1 (>= 1.1.0) но он не может быть установлен
    Рекомендует: snmpd но он не будет установлен
    E: Невозможно исправить ошибки, у вас отложены (held) битые пакеты.

    столкнулся с такой проблемой. может подскажете как решить?

    • Zerox

      Тут явно какие-то проблемы с пакетами и зависимостями. Проверьте, репозиторий точно от убунты, версия правильная? А то у меня бывает, перепутаю и ставлю репу от дебиан, потом примерно такие же ошибки ловлю.

  15. Debian9 3.4 ->4.0 потребовалась перезагрузка сервера.

    • Zerox

      Как определили, что нужна перезагрузка? Уверен, что она не нужна. Я сотни раз настраивал и обновлял zabbix-server. К перезагрузке он не имеет никакого отношения, если конечно, не завис окнкретно, но и в этом случае он закрывается через kill -9.

      • Подтверждаю, на Debian 9 перезагрузка не нужна при обновлении Заббикса с 3.4 на версию 4.0. Повторял несколько раз!

  16. В процессе обновления Zabbix 3.4. до версии 4.0 на Debian 9 по непонятным пока для меня причинам происходит модификация основного конфигурационного файла Zabbix – /etc/zabbix/zabbix_server.conf, а точнее удаляется строчка с указанием пароля к базе данных – «DBPassword=». В связи с чем, сыпались ошибки о невозможности доступа к базе данных.
    Может кто-то знает почему такое происходит? Или так и должно быть?

    P.S.: Для чистоты эксперимента повторял несколько раз на тестовой ВМ

    • Zerox

      По идее не должно. Строка с DBPassword закомментирована в дефолтном конфиге. Похоже, по какой-то причине, накатывается дефолтный конфиг, хотя обычно пакетный менеджер спрашивает, что будем делать с конфигом — перезаписывать или оставлять старый.

      Можно сохранить конфиг, обновить сервер, вернуть конфиг на место и запускать сервер. В конфиге принципиальных изменений нет, со старым заработает.

      • Только что проверил еще раз. Да, Вы правы! Не доглядел… Действительно во время обновления пакетный менеджер спрашивает заменить ли конфигурационный файл на обновлённую версию. И все разы я подтверждал, т.к. думал, что он оставит мои настройки и добавит только новые опции и т.п.
        Спасибо!

        Еще один момент. Вы в статье написали, что для просмотра лог-файла ошибок сервера Заббикса вводим команду: «tail -f zabbix_server.log», но она сработает только если Вы уже находитесь в каталоге /var/log/zabbix
        Или же тогда нужно указать абсолютный путь к лог-файлу:
        «tail -f /var/log/zabbix/zabbix_server.log»

  17. Также прошу автора обратить внимание, что для Debian 9 путь к gzip будет другим – /bin/gzip. В связи с чем, команда для бекапа базы данных будет такой:
    # /usr/bin/mysqldump —opt -v —databases zabbix -uzabbix -p’password’ | /bin/gzip -c > /root/zabbix.sql.gz

  18. Только что еще раз ВСЕ перепроверил: для Ubuntu 18.04 и Debian 9 путь к gzip будет другим – /bin/gzip, то есть без /usr. В связи с чем, команда для бекапа базы данных будет такой:
    # /usr/bin/mysqldump —opt -v —databases zabbix -uzabbix -p’password’ | /bin/gzip -c > /root/zabbix.sql.gz

    Прошу автора обратить на это особое внимание и внести коррективы.
    Спасибо!

  19. Владимир

    Спасибо, обновился удачно)) А то полез на офф сайт заббикса и не смог обновиться по их инструкции. А теперь понял что дело было просто в очистке кеша.

    • Zerox

      О да, я пару раз получал сломанный веб интерфейс при обновлениях. Очистить кэщ догадался сам, теперь всегда это делаю.

  20. Кто нибуть сталкивался?
    20723:20181012:102221.758 [Z3005] query failed: [1048] Column ‘acknowledged’ cannot be null [update problem set acknowledged=(select acknowledged from events where events.eventid=problem.eventid)]
    20723:20181012:102221.759 database upgrade failed

    • Zerox

      В комментариях отписался один человек с этой же проблемой. Как решил — не сказал.

      • гдето читал что это из-за партиционирования, как его отключить я хз. Но у меня не используется партиционирование

  21. Александр

    Спасибо большое, обновился с 3.4 до 4.0 на centOs без как либо проблем.
    Единственное в начале вылезло The frontend does not match Zabbix database. Current database version (mandatory/optional): 3040000/3040007. Required mandatory version: 4000000. Contact your system administrator.
    Почистил куки и всё ок стало 🙂

  22. Не знаю, в чем дело — но после обновления стали появляться сообщения о недоступности агента на контролируемых серверах, причем время ожидания стоит 5 минут, а реальное время недоступности показывается несколько секунд. Пока не могу понять, где что изменилось.

  23. Добрый день коллеги! После обновления не могу связаться с модемом который ранее отправлял смс на 3.2 версии, настраивал сам.Вот лог отправки смски
    2018-10-19 20:14:22,4, smsd: File mode creation mask: 022 (0644, rw-r—r—).
    2018-10-19 20:14:22,5, smsd: Outgoing file checker has started. PID: 1589.
    2018-10-19 20:14:22,7, smsd: All PID’s: 1589,1590
    2018-10-19 20:14:22,5, GSM1: Modem handler 0 has started. PID: 1590.
    2018-10-19 20:14:22,3, GSM1: Couldn’t open serial port /dev/ttyr01, error: No such device or address, waiting 30 sec.
    2018-10-19 20:14:52,3, GSM1: Cannot open serial port /dev/ttyr01, error: No such device or address
    2018-10-19 20:14:52,2, GSM1: Modem handler 0 terminated. PID: 1590, was started 18-10-19 20:14:22.
    2018-10-19 20:17:23,5, smsd: Moved file /var/spool/sms/outgoing/send_HrN7nN to /var/spool/sms/checked

    Подскажите, может есть у кого какие идеи?

    • Zerox

      Посмотреть, может порт /dev/ttyr01 изменился.

      • смотрел через команду minicom там все настройки те же что были ранее, отправляю смску тестовую через smstool командлет и она падает в checked… Странно конечно, учитывая что с zabbix я знаком не так долго, около полугода где то, надеюсь разберусь…пока что я откатился через бэкап пока думаю над проблемой. Спасибо за содействие, буду рад если появятся какие мысли ещё или советы у вас.

  24. Добрый день, в статье описано обновление при базе mysql, а если стоит postresql?

  25. Геннадий

    Хотелось бы дополнить, что при обновлении замменяется конфиг zabbix_server.conf.
    Поэтому параметры, указанные в этом конфиге нужно заново прописать.
    Например у меня затерлись
    DBPassword
    StartPingers

    • Zerox

      Пакетный менеджер должен спросить, хотите ли вы заменить свой старый конфиг. Дефолтное значение — нет. Так что автоматически старый конфиг не затирается. И я не рекомендую его затирать, так как новый все равно тут же рядом будет скопирован с другим именем. Лучше потом руками все изменения внести.

  26. А где посмотреть что порт ttyr01 изменился? в настройка smsd.conf все так же как было я проверял.
    Захожу по minicom по нему пишет minicom: cannot open /dev/ttyr01: No such device or address
    передобавил порты устройства, выставил в настройках второй порт как я делал изначально. Но все равно тоже самое.
    Где может быть собака зарата? Не хочется новый сервер поднимать. Вообще все это делаю от того что шаблон для мониторинга одного сервера не поддерживается в версии 3.2 — только выше. Перехожу на новую версию и тут же смс перестает работать(…
    Хочется разобраться, есть какие мысли у Вас?

    • Zerox

      У вас сообщение:
      minicom: cannot open /dev/ttyr01: No such device or address
      Это явно относится к работе системы. Я не понимаю, как тут может быть завязан сам заббикс. Нужно сходить в директорию /dev и проверить, там есть устройство ttyr01 или нет. Если его нет, то надо разбираться, куда оно пропало.

  27. Добрый день.
    Будут ли работать шаблоны от 3.4?
    Есть ли обратная совместимость шаблонов 4.0 подойдут ли от 3.4?

    • Zerox

      Все шаблоны, что работали на 3.4 у меня работают на 4.0. Обратную совместимость не проверял. Думаю, что будут, но даже если не будут, наверняка можно сделать простые правки, чтобы заработали. Ничего такого принципиального там не менялось. Конечно, если не использовать в новых шаблонах новые фичи от 4.0, например http агент.

  28. Database error
    The frontend does not match Zabbix database. Current database version (mandatory/optional): 4000000/4000000. Required mandatory version: 3040000. Contact your system administrator.

    zabbix-agent is already the newest version (1:4.0.0-2+xenial).
    zabbix-frontend-php is already the newest version (1:4.0.0-2+xenial).
    zabbix-server-mysql is already the newest version (1:4.0.0-2+xenial).

    сервер перезагружал, ubuntu 16.04
    В чем проблема?

  29. Добрый день, обновил Ubuntu c 16.10 до 18.04 и Zabbix c 3.4.14 до 4.0. При подключении в веб выдает ошибку «DB type «MYSQL» is not supported by current setup.» Как обновить поддержку типа базы или какую версию Mysql нужно установить?

    • Zerox

      Возможно, какого-то модуля php не хватает для работы mysql, поэтому веб интерфейс пишет, что не поддерживает его. Я бы для начала попробовал переустановить zabbix сервер со всеми зависимостями.

      • Спасибо за статью и за мысль. Удалил всё что связано с php и установил zabbix-frontend-php со всеми зависимостями

        1) Собственно команда для удаления php
        apt remove php* -y

        2) Команда установки zabbix-frontend-php
        apt install zabbix-frontend-php -y

        3) Перечитываем конфиг Апача с изменениями
        systemctl reload apache2

  30. Евгений

    У меня кстати после обновления перестали работать карты. Думал косяк во фронте — создал пустую базу, подключился к ней мордой — карты работают. Переключаюсь на свою базу — карты не работают. ЧЯДНТ?

    • Евгений

      Сам же себе и отвечу. Такого прикола я ни как не ожидал. С коллегой js-разработчиком включили дебаг для пхп, посмотреть на что ругается, а ругался он на преобразование картинок или чё то типа того (либа php-gd). В общем взял и из таблицы images всё выпилил полностью (все 187 строк с картинками) и потом заново при помощи схемы которую можно взять на сайте заббикса я восстановил эту таблицу и вуаля, заработало!
      Надеюсь кому-то поможет.
      Ключевые слова для индексации гуглом: карта zabbix не работает, пустая карта zabbix

  31. Ярослав

    4.0 перестал показывать на дашборде в панели «обзор триггеров» Статус ОК тригеров, показывает только те, которые в состоянии проблема…Подскажите как исправить.

  32. После обновления с 4.0 до 4.0.1 всё также продолжаются ложные срабатывания триггера доступности агента Zabbix на серверах, увеличение времени в триггере не помогает.

    • Zerox

      Это у вас явно какая-то локальная проблема. Я такого нигде не наблюдаю. Может имеет смысл обновить и агенты?

      • Агенты обновлены на части серверов, поведение одинаковое и на новых и на старых агентах, что удивляет.

  33. Спасибо за статью! Всё прошло как по маслу (Centos7)

  34. У меня возникла проблема. При обновлении с 3.4 до 4.0 на убунту 18.04 вылезает следующие:
    makc@makc:~$ tail -f /var/log/zabbix/zabbix_server.log
    6070:20181201:024848.013 SMTP authentication: YES
    6070:20181201:024848.013 Jabber notifications: YES
    6070:20181201:024848.013 Ez Texting notifications: YES
    6070:20181201:024848.013 ODBC: YES
    6070:20181201:024848.013 SSH2 support: YES
    6070:20181201:024848.013 IPv6 support: YES
    6070:20181201:024848.013 TLS support: YES
    6070:20181201:024848.013 ******************************
    6070:20181201:024848.013 using configuration file: /etc/zabbix/zabbix_server.conf
    6070:20181201:024848.046 The server does not match Zabbix database. Current database version (mandatory/optional): 04000000/04000003. Required mandatory version: 03050162.

    Если удалить базу и создать нулячую, то всё работает, как обновляюсь с базой (или заливаю базу 3.4 на 4.0), то вылезает такая ошибка…
    Может быть есть какое-то решение? А то уже подумываю оставаться на 3.4))

    • Евгений

      Вообще при старте более свежей версии заббикс сервера он должен сам обновить базу.

  35. Александр

    Спасибо за статью, не подскажите если обновить до 4.0 а агенты останутся 3.2 будет работать? просто более тысячи хостов и железок всяких , не очень хочется менять все это.

    • Zerox

      Да, точно будет. Новые версии zabbix сервера всегда поддерживают старых агентов. А вот наоборот нет. Если поставить агент 4.0, то с сервером предыдущих версий работать не будет.

  36. Алексей

    Добрый день.
    После обновления с 3.4 до 4.0 идет ошибка.
    Как ее исправить? Где, что изменить? Обновление прошло нормально. Никакого решения найти не могу. frontend-php переставлял.
    Debian 6.3
    Нашел только это, но не понял откуда эту папку взять. https://www.zabbix.com/forum/zabbix-help/52995-frontend-upgrade-from-3-0-to-3-4-fails

    Заранее спасибо.
    Текст ошибки:

    Database error

    The frontend does not match Zabbix database. Current database version (mandatory/optional): 3040000/3040007. Required mandatory version: 4000000. Contact your system administrator.

  37. Ложные срабатывания триггера ping пока не победил — увеличил таймауты в конфиге сервера, обновил клиентов везде — наблюдаются ложные срабатывания при завершении периодов обслуживания.

  38. Не знаю где лучше задать вопрсо, поэтому задам здесь:
    суть такова, после того как настрою забикс, в частности мониторинг виндовых серверов — количество TCP соединений увеличивается в разы: к примеру без запущенного заббикса — 150 — с ним 500. Это можно где то уменьшить? Или это так и должно быть.
    Мониторим win2k12 которые стоят на виртуалках в яслях, если это имеет значение

    • Zerox

      Не понял, зачем это уменьшать? Идут же коннекты от агентов, как они должны еще передавать данные, не открывая tcp соединения?

      • В таких кол-вах? Это на одном из серверов. На другом доходило до нескольких тысяч, и я так понимаю оно (кол-во соединений) продолжало постепенно расти. Если так и должно быть, то тогда ладно. Просто пугает

        • Zerox

          Я никогда не измерял кол-во tcp соединений, которые открывает zabbix сервер и агенты. Но я ни разу не слышал, чтобы с этой стороны были какие-то проблемы. Если это вас так волнует, то посмотрите, что это за соединения и кто конкретно их открывает.

          • Ок. я думаю в следующем году буду ставить заного 4 версию, тогда я потестим. если что отпишусь.

  39. Обновил zabbix c 3.0 до 4.0, естесвенно с промежуточными вресиями.
    Все прошло гладко.
    Настала очередь обновленять Ubuntu(14.04).
    Обновлял сохраняя все свои конфиги.
    После обновления получил ошибку

    «DB type «PQSL» is not supported by current setup.»

    apt remove php* -y
    apt install zabbix-frontend-php -y

    удалил все что связанно c php, установил zabbix-frontend-php

    и получил

    «Not Found
    The requested URL /zabbix/ was not found on this server.

    Apache/2.4.18 (Ubuntu) Server at zabbix Port 443»

    Т.е. apache не знает о дирекории заббикса. Как указать?

    • Zerox

      Конфиг заббикса для apache пропал. Можно еще раз переустановить zabbix-frontend-php или проверить, что в папке с конфигами apache2. Возможно конфиг просто переименован.

      • вроде у меня он в порядке

        # Define /zabbix alias, this is the default

        Alias /zabbix /usr/share/zabbix

        Options FollowSymLinks
        AllowOverride None
        Order allow,deny
        Allow from all

        php_value max_execution_time 300
        php_value memory_limit 1024M
        php_value post_max_size 32M
        php_value upload_max_filesize M
        php_value max_input_time 300
        php_value always_populate_raw_post_data -1
        php_value date.timezone Europe/Kiev

        php_value max_execution_time 300
        php_value memory_limit 1024M
        php_value post_max_size 64M
        php_value upload_max_filesize 2M
        php_value max_input_time 300
        php_value always_populate_raw_post_data -1
        php_value date.timezone Europe/Kiev

        Order deny,allow
        Deny from all

        Order deny,allow
        Deny from all

        Order deny,allow
        Deny from all

        Order deny,allow
        Deny from all

        Но ошибка есть…

        • Zerox

          Он не работает по какой-то причине. Веб сервер четко говорит в чем проблема:

          The requested URL /zabbix/ was not found on this server. Попробуй без слеша на конце.

          • убрав слеш получил тот-же результат…

            • Почему
              /etc/apache2/conf-available/zabbix.conf
              может не работать? в apache2/error.log ошибок не вижу

          • Оказалось что затерлись conf-available, conf-enabled.
            Воостановил zabbix.conf и символьную ссылку…
            и тут получли нечто еще более странное у меня запустился setup.php, НО от zabbix 2.4, хотя изначально на сервере был только 3.0.

            переименовал setup.php, т.к. не обнаружил zabbix.php, взял его из бекапа…не помогло…
            Почему мог появится setup.php, как вернуть работоспособность?

            • Zerox

              Я не знаю. У вас что-то напутано в веб сервере. Как могут сами по себе затереться conf-available, conf-enabled? Возможно у вас подключен конфиг с исходниками от версии 2.4.

  40. Не подскажете, у Вас правильно отображаются состояния триггеров на элементах сетевых карт?

    У меня до 3.4 всё было нормально, а на 4.0 вместо триггера отображается последнее событие, если его не было, показывается неактивное состояние, даже если триггер активен.

Добавить комментарий

Ваш e-mail не будет опубликован.

Нажимая кнопку "Отправить комментарий" Я даю согласие на обработку персональных данных.